Xcode Swiftのpath

Pocket

ターミナルから「which swift 」すると/usr/bin/swiftにあって下記のようなバージョンでした

/usr/bin/swift --version
Apple Swift version 5.1.3 (swiftlang-1100.0.282.1 clang-1100.0.33.15)
Target: x86_64-apple-darwin20.6.0

Xcode 13のSwiftバージョンって5.5のはずなので Xcodeのアプリ内をさぐりました

ls -al /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin

上記にSwiftがありました

lrwxr-xr-x    1 root  wheel         14  9  7 13:51 swift -> swift-frontend
-rwxr-xr-x    1 root  wheel  223954816  9  3 06:16 swift-frontend

swift –versionで確認

swift-driver version: 1.26.9 Apple Swift version 5.5 (swiftlang-1300.0.31.1 clang-1300.0.29.1)
Target: x86_64-apple-macosx11.0

Version 5.5でした

「#if compiler(>=5.5)」で指定してブレークポイントで止まったので5.5になっていました

Swift 5.5

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

CAPTCHA